Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Vec4 Class Reference

This is a four-component vector distance. More...

Inheritance diagram for Vec4:

List of all members.

## Public Member Functions
| Vec4 ()
| Vec4 (VBase4 const copy)
| Vec4 (float x, float y, float z, float w)
| Vec4 (float fill_value)
PyObject | getattr (string attr_name)
Vec4 | operator* (float scalar)
VBase4 | operator+ (VBase4 const other)
Vec4 | operator+ (Vec4 const other)
Vec4 | operator- ()
Vec4 | operator- (Vec4 const other)
VBase4 | operator- (VBase4 const other)
Vec4 | operator/ (float scalar)
Vec4 | operator= (VBase4 const copy)
Vec4 | operator= (float fill_value)
Vec4 | project (VBase4 const onto)
| Returns a new vector representing the projection of this vector onto another one.
| pythonRepr (ostream out, string class_name)
int | setattr (PyObject self, string attr_name, PyObject assign)
## Static Public Member Functions
static TypeHandle | getClassType ()
static Vec4 const | unitW ()
| Returns a unit W vector.
static Vec4 const | unitX ()
| Returns a unit X vector.
static Vec4 const | unitY ()
| Returns a unit Y vector.
static Vec4 const | unitZ ()
| Returns a unit Z vector.
static Vec4 const | zero ()
| Returns a zero-length vector.

## Detailed Description

This is a four-component vector distance.

## Constructor & Destructor Documentation

Vec4 | ( |  | ) |

Vec4 | ( | VBase4 const | copy | ) |

Vec4 | ( | float | fill_value | ) |

Vec4 | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

## Member Function Documentation

PyObject getattr | ( | string | attr_name | ) |

Reimplemented from VBase4.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from VBase4.

Vec4 operator* | ( | float | scalar | ) |

Reimplemented from VBase4.

VBase4 operator+ | ( | VBase4 const | other | ) |

Reimplemented from VBase4.

Vec4 operator+ | ( | Vec4 const | other | ) |

Vec4 operator- | ( |  | ) |

Reimplemented from VBase4.

VBase4 operator- | ( | VBase4 const | other | ) |

Reimplemented from VBase4.

Vec4 operator- | ( | Vec4 const | other | ) |

Vec4 operator/ | ( | float | scalar | ) |

Reimplemented from VBase4.

Vec4 operator= | ( | float | fill_value | ) |

Reimplemented from VBase4.

Vec4 operator= | ( | VBase4 const | copy | ) |

Reimplemented from VBase4.

Vec4 project | ( | VBase4 const | onto | ) |

Returns a new vector representing the projection of this vector onto another one.

The resulting vector will be a scalar multiple of onto.

Reimplemented from VBase4.

pythonRepr | ( | ostream | out,
|  | string | class_name
| ) |  |

Reimplemented from VBase4.

int setattr | ( | PyObject | self,
|  | string | attr_name,
|  | PyObject | assign
| ) |  |

Reimplemented from VBase4.

static Vec4 const unitW | ( |  | ) | `[static]`

Returns a unit W vector.

Reimplemented from VBase4.

static Vec4 const unitX | ( |  | ) | `[static]`

Returns a unit X vector.

Reimplemented from VBase4.

static Vec4 const unitY | ( |  | ) | `[static]`

Returns a unit Y vector.

Reimplemented from VBase4.

static Vec4 const unitZ | ( |  | ) | `[static]`

Returns a unit Z vector.

Reimplemented from VBase4.

static Vec4 const zero | ( |  | ) | `[static]`

Returns a zero-length vector.

Reimplemented from VBase4.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties